nethack (3.6.7-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:36:12 +0100

nethack (3.6.7-2) unstable; urgency=medium

  [ Vincent Cheng ]
  * Address gcc 15 FTBFS by building with -std=gnu17. (Closes: #1097450)
  * Update build-dep on pkg-config => pkgconf.
  * Add upstream metadata file.
  * Bump Standards-Version to 4.7.2, no changes required.

  [ Carles Pina i Estany ]
  * Update Catalan po-debconf translation.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 07 Sep 2025 14:15:57 -0700

nethack (3.6.7-1) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * New upstream release.
    - Fixes buffer overflow that can crash the NetHack process
      (CVE-2023-24809). (Closes: #1031869)
    - Drop patches applied upstream.
  * Enable dumplog support, which was enabled through thirdparty patch in an
    older release (3.4.x), and is included upstream since 3.6.x, but had not
    yet been re-enabled. (Closes: #1023578)
  * Bump Standards-Version to 4.6.2.
  * Replace obsolete build dependency: libncurses5-dev => libncurses-dev.
  * Replace obsolete build dependency: bsdmainutils => bsdextrautils.

  [ Paulo Henrique de Lima Santana ]
  * Update Brazilian Portuguese debconf templates translation (Closes: #1024192)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 18 Jun 2023 17:59:30 +0200

nethack (3.6.6-3) unstable; urgency=medium

  * Team upload.
  * Import fix for FTBFS because of redefined macro. (Closes: #1017326)
  * Fix watch file.
  * Bump Standards-Version to 4.6.1.
  * Adjust lintian override to the new format.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 14 Aug 2022 16:04:40 +0200

nethack (3.6.6-2) unstable; urgency=medium

  * Team upload.
  * Re-enable the Qt interface, which now supports Qt5. (Closes: #770749)
  * Drop nethack-lisp which is broken and unmaintained. (Closes: #961932)
  * Enable support for curses windowtype in nethack-console.
  * Enable hitpointbar in nethack-console.
  * Enable all hardening options.
  * Bump Standards-Version to 4.5.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 09 Jan 2021 16:34:33 +0100

nethack (3.6.6-1) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Update watch file.
    The sourceforge page seem to be no longer kept up-to-date.
    Use the official site instead, but mangle the page a bit,
    to point to the correct tarball location.

  [ Markus Koschany ]
  * New upstream version 3.6.6.
    - Fixes CVE-2020-5254, CVE-2020-5214, CVE-2020-5213, CVE-2020-5212,
      CVE-2020-5211, CVE-2020-5210, CVE-2020-5209 and CVE-2019-19905.
      (Closes: #947005, #953978)
  * Fixes FTBFS with GCC 10. (Closes: #957598)
  * Switch to debhelper-compat = 13
  * Declare compliance with Debian Policy 4.5.0.
  * Drop u1-fix-H7138-sys-unix-setup.sh-fails-with-no-arguments.patch.
    Fixed upstream.
  * Rebase all patches for new version 3.6.6.
  * Remove all lisp patches. Broken and unmaintained with 3.6.6.
    Maintainers are welcome. nethack-lisp can be salvaged by fixing the errors
    on the lisp branch in Git. If they are not fixed before the bullseye
    release nethack-lisp will be removed.

 -- Markus Koschany <apo@debian.org>  Sun, 31 May 2020 18:57:45 +0200

nethack (3.6.1-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release. (Closes: #900318)

  * d/changelog: Remove trailing whitespace.
  * d/clean: Clean dat/gitinfo.txt.
  * d/copyright:
    - Update and list all copyright holders.
    - "Relicense" debian directory under the NGPL. (Closes: #908784)
  * d/compat: Use debhelper 11.
  * d/control:
    - Switch Vcs URLs to salsa.debian.org.
    - Bump standards to 4.2.1.
    - Use secure Homepage URL.
  * d/*.desktop: Add Comment fields to desktop files.
  * d/patches:
    - Refresh patches.
    - Drop u1-avoid-crash-for-long-lines-in-nethackrc.patch - applied upstream.
    - Drop 0005-Simple-mail.patch - no longer applies.
    - Drop 0010-Enables-color-HP-monitor-for-textmode-NetHack - obsolete.
    - Drop 0019-stay-in-array-bounds.patch - fixed upstream.
    - Drop 0023-gcc-warning-fixes.patch - alternative applied upstream.
    - Drop 0025-reproducible-build.patch and enable upstream reproducibility.
    - Add upstream patch to fix sys/unix/setup.sh behavior.
    - Disable SIMPLE_MAIL which now has a slightly different meaning.
    - Fix undefined reference to "terminate" in lisp patch.
    - Fix spelling mistake in 0026-fix-permanently-identify.
  * d/rules:
    - Enable verbose build.
    - Add set -e to for loop.
  * nethackrc: disable hpmon now that the patch has been dropped.

  [ Niels Thykier ]
  * Declare the explicit requirement for (fake)root.

 -- James Cowgill <jcowgill@debian.org>  Sun, 16 Sep 2018 17:35:42 +0100

nethack (3.6.0-4) unstable; urgency=medium

  [ Mo Jun ]
  * Fix permanently identify bug on arm* ports. (Closes: #828625)

  [ James Cowgill ]
  * Bump standards to 3.9.8 (no changes).

 -- James Cowgill <jcowgill@debian.org>  Sun, 26 Jun 2016 15:27:02 +0100

nethack (3.6.0-3) unstable; urgency=medium

  * Avoid crash when using long lines in nethackrc. (Closes: #819337)

 -- James Cowgill <jcowgill@debian.org>  Fri, 01 Apr 2016 23:50:19 +0100

nethack (3.6.0-2) unstable; urgency=medium

  [ James Cowgill ]
  * Remove more remnants of the curses interface from d/rules.
  * Remove obsolete $(EXTRA_$1) argument from d/rules.
  * Install symbols data file. (Closes: #817972)
  * Add semicolon to the end of lists in the desktop files to fix validation
    errors.
  * Add StartupWMClass to nethack-x11.desktop to fix grouping in some DEs.

  [ Reiner Herrmann ]
  * Add patch to enable reproducible building. (Closes: #818128)
  * Manually build makedefs before the rest of the game to avoid a race
    confition in the build system.

  [ Mo Jun ]
  * Fix abnormal behavior in the HP monitor patch. (Closes: #818051)

 -- James Cowgill <jcowgill@debian.org>  Mon, 21 Mar 2016 14:51:35 +0000

nethack (3.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #807752, LP: #1529498).
  * Dropped enhancement patches which are difficult to port to 3.6.
    - Drop curses ui patch.
    - Drop enhanced dump patch.
    - Drop engulfed trouble patch.
  * Converted packaging to dh.
  * Ship default sysconf file in /etc/nethack/sysconf.
  * Replace menu files and the xpm icon with desktop files and a png.

  * debian/*.dirs:
    - Remove directories which will be created by dh_install automatically.
  * debian/README.patches:
    - Drop file. No major enhancement patches remain.
  * debian/control:
    - Add myself to the list of uploaders.
    - Bump standards to 3.9.7 (no changes).
    - Switch to git Vcs URLs.
  * debian/copyright:
    - Add myself to the copyright holders list.
  * debian/nethack-common.postinst:
    - Convert tabs to spaces for consistency.
    - Simplify 'recover' script handling.
    - Remove init script handling for pre-wheezy systems.
    - Create /var/games/nethack/xlogfile file.
  * debian/nethack-lisp.copyright:
    - Drop and use main copyright file instead.
  * debian/patches:
    - Refresh patches for 3.6.0.
    - Ensure correct path to x11tiles is compiled in via patch 0008.
    - Drop obsolete patches
      - 0003 _GNU_SOURCE define - _GNU_SOURCE is now defined in config1.h
      - 0011 menucolors - applied upstream
      - 0012 paranoid hit - obsolete, equivalent is in 3.6.0
      - 0014 sortloop - applied upstream
      - 0016 fix format-security errors - fixed upstream
    - Update kFreeBSD FTBFS patch.
      - Move time.h includes to unixconf.h
      - Do not redefine memcpy on BSD systems.
    - Add 0023-gcc-warning-fixes.patch to inhibit many pointer warnings when
      building on 64-bit systems.
    - Basic porting of the LISP patch to 3.6.0 (not well tested).
  * debian/rules:
    - Remove duplicate build options which have no effect.
    - Pass NOTPARMDECL option to disable tparm forward declaration. Fixes a
      FTBFS on kFreeBSD.
    - Do not pass '1' to setup.sh.
    - Drop call to 'dpkg-buildflags --status'.
    - Simplify build process of common files.
    - Remove obsolete 'start' call to update-rc.d.
    - Use gzip -n when creating nh10.pcf.gz to fix
      package-contains-timestamped-gzip lintian warning.
  * debian/x11/NetHack:
    - Update X11 app-defaults for 3.6.0 (new shipped graphics and upstream
      defaults).
  * debian/x11/nethackrc.x11:
    - Remove obsolete OBJECTS, DUNGEON, TRAPS and EFFECTS options.

 -- James Cowgill <jcowgill@debian.org>  Fri, 11 Mar 2016 01:51:28 +0000

nethack (3.4.3-15) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Josh Triplett ]
  * Add native systemd support. (Closes: #741126)
    - Factor out the recovery logic from the nethack-common init script into a
      new script /usr/lib/games/nethack/recover-all.
    - Add a nethack-common.service invoking recover-all.  This service uses
      ConditionPathExistsGlob to only launch when files exist to recover,
      avoiding any extra processes at startup in the common case.
    - Build-Depends: debhelper (>= 9.20130504) for systemd support in
      dh_installinit.

  [ Vincent Cheng ]
  * Build nethack with curses interface. Thanks to Ivan Krylov for the patch!
    (Closes: #705029)
  * Do not remove alternatives on upgrades.
    (https://lists.debian.org/debian-devel/2012/09/msg00575.html)
  * Update to Standards version 3.9.5.
  * Update email address.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 11 May 2014 23:27:25 -0700

nethack (3.4.3-14) unstable; urgency=low

  * Team upload.

  [ Bernhard R. Link ]
  * switch to "3.0 (quilt)"
  * bump Standards-Version
  * modernize debian/rules:
  - use dpkg-buildflags
  - support build-arch/-indep
  - make parallel safe
  - don't avoid make errors
  * add patch so it can compile with -Werror=format-security
  * drop no longer needed patches (-qt and -gnome are gone)
  * don't use /dev/null as install template (Closes: 644647)
  * drop nethack-common menu (both -console and -x11 have one)

  [ Vincent Cheng ]
  * Adopt package. (Closes: #673584)
    - Change Maintainer to Debian Games Team.
    - Add myself to Uploaders.
  * Modify 0006-Common-config.h-for-all-binary-packages.patch to enable
    AUTOPICKUP_EXCEPTIONS. (Closes: #329318)
  * Modify 0011-Pasi-Kallinen-s-patch-to-add-colors-to-inventory-ite.patch
    and 0017-Debian-and-Linux-specifics-defined-in-unixconf.h.patch; add
    0021-fix-kfreebsd-ftbfs.patch to fix FTBFS on kfreebsd.
  * Convert debian/copyright to DEP-5 machine-readable format.
  * Use dh_lintian to install overrides instead of manually installing them
    in debian/rules.
  * Add watch file.
  * Add Homepage field in debian/control.
  * Add Vcs-* fields in debian/control.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 11 Jun 2012 00:47:38 -0700

nethack (3.4.3-13) unstable; urgency=low

  * QA upload, orphan package.
  * Drop nethack-qt. (Closes: #604363)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 20 May 2012 00:40:52 +0200

nethack (3.4.3-12.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #626534
    - Dutch; (Jeroen Schot).  Closes: #643307
    - Polish (Michał Kułach).  Closes: #657504

 -- Christian Perrier <bubulle@debian.org>  Thu, 02 Feb 2012 07:46:14 +0100

nethack (3.4.3-12.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/96_binutils-gold.dpatch:
    - Fix FTBFS with binutils-gold (Closes: #555769).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 26 Aug 2011 21:15:02 +0200

nethack (3.4.3-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    - Compile with __CORRECT_ISO_CPP_STRINGS_H_PROTO set to fix FTBFS
      (Closes: #551334, #560531).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 12 May 2010 09:30:03 +0200

nethack (3.4.3-12) unstable; urgency=low

  * Fix error with update-rc.d (for some reason I didn't see this, probably
    due to using insserv based init.) Add a '.' to the end. closes: #548425

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 26 Sep 2009 11:20:04 -0700

nethack (3.4.3-11) unstable; urgency=low

  * Thanks for the NMUs, guys. There are so many bugs fixed as a result
    of NMU I won't mention them here, but thanks to Christian Perrier for
    managing everything. Certain things were fixed in 3.4.3-10.7 and have also
    been marked as fixed prior to this upload.
  * Apply translation updates:
    - Vietnamese, thanks Clytie Siddall; closes: #548012
    - Czech, thanks Jan Outrata; closes: #546453
  * Update the nethack-lisp patch to the latest version. closes: #517437
    (The new version is dated 2005-02-27.)
  * Fix yet another incorrect path in the manpage. Thanks Iain. closes: #504925
  * Disable nethack-common.init from 'stopping' when entering shutdown
    runlevels. closes: #547471
  * Change the default for making 'recover' setgid games to true. Thanks Iain.
    closes: #504923, #405465
  * Apply patch to give nethack-x11 and nethack-qt .desktop files. Thanks Iain.
    closes: #504924
  * Install dat/hh at /usr/lib/games/nethack/hh. I know this is a minor FHS
    sin, but it is better than not having it at all right now. (Technically,
    nhdat is a text file too!) closes: #425073
  * Only install recover with gid games (since it may become setuid.) The
    rest are installed with the root gid.
  * Bump Standards-Version to 3.8.3.0.
  * Clear out some outdated Lintian overrides.
  * Make /var/games/nethack hierarchy setgid games (instead of merely owned
    and writable by gid games.)

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 24 Sep 2009 14:21:19 -0700

nethack (3.4.3-10.7) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Drop code dealing with upgrades from pre-3.4.0 version
  * Bump debhelper compatibility level to 7
  * Replace "dh_clean -k" by dh_prep
  * Add ${misc:Depends} to all binary packages' dependencies as
    the package is built with debhelper that might trigger extra
    dependencies
  * nethack-x11: drop dependency on obsolete xbase-clients
  * drop build dependency on obsolete xutils
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #519512
  * [Debconf translation updates]
    - Italian. Closes: #522148
    - French. Closes: #522210
    - Spanish. Closes: #522259
    - Japanese. Closes: #522385
    - Basque. Closes: #522391
    - German. Closes: #522960
    - Swedish. Closes: #522975
    - Italian. Closes: #523417
    - Russian. Closes: #524070
    - Portuguese (Carlos Lisboa).  Closes: #524284
    - Finnish (Esko Arajärvi).  Closes: #532496
    - Galician (marce villarino).  Closes: #524265
    - Traditional Chinese (Kanru Chen).  Closes: #545485

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Sep 2009 14:08:01 +0200

nethack (3.4.3-10.6) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish. Closes: #498436
    - Traditional Chinese. Closes: #503174
    - Italian. Closes: #503761

 -- Christian Perrier <bubulle@debian.org>  Tue, 28 Oct 2008 22:53:25 +0100

nethack (3.4.3-10.5) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Brazilian Portuguese. Closes: #434312
    - Finnish. Closes: #472628
    - Basque. Closes: #481695
    - Russian. Closes: #481813
  * [Lintian] No longer use deprecated ${Source-Version} in Depends/Conflicts
    Use ${binary:Version} instead.

 -- Christian Perrier <bubulle@debian.org>  Mon, 05 May 2008 18:39:59 +0200

nethack (3.4.3-10.4) unstable; urgency=low

  * Non-maintainer upload with approval from Joshua Kwan.
  * Add LSB dependency header in init.d script (Closes: #458465)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  8 Mar 2008 18:27:05 +0100

nethack (3.4.3-10.3) unstable; urgency=low

  * Non-maintainer upload.
  * Drop nethack-gnome: it's experimental, and works with completely outdated
    gnome-libs. Closes: #460798

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 04 Feb 2008 17:23:08 +0100

nethack (3.4.3-10.2) unstable; urgency=low

  * NMU
  * Fix debconf template with wording from Helge Kreutzmann.
    closes: #399583.

 -- Clint Adams <schizo@debian.org>  Tue, 31 Jul 2007 07:31:09 -0400

nethack (3.4.3-10.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - German updated. Closes: #399601
    - Galician. Closes: #412189
    - Japanese. Closes: #412503

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Feb 2007 19:31:40 +0100

nethack (3.4.3-10) unstable; urgency=medium

  * Fix brown paper bag bug relocating the nethack-x11 fonts, thanks
    Aaron Ucko. closes: #398483

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 13 Nov 2006 17:42:00 -0800

nethack (3.4.3-9) unstable; urgency=low

  * Version the Build-Depends on libqt3-mt-dev (old old problem that's
    no longer relevant, really, but good to fix anyway.)
  * Move fonts to /usr/share/fonts/X11, closes: #362331
  * Update debconf templates for like every language imaginable.
    closes: #341036, #365458, #374199, #396107
  * Update path description in manpage. closes: #389553
  * Save/restore umask around gnome_init call so that .gnome is created
    with sane permissions. closes: #397672

 -- Joshua Kwan <joshk@triplehelix.org>  Wed,  8 Nov 2006 15:44:07 -0800

nethack (3.4.3-8) unstable; urgency=low

  * Add Vietnamese translation of Debconf templates, thanks Clytie Siddall.
    closes: #315912
  * Delete the nethack dummy package; make all the nethack-* packages provide
    nethack, so that people can still apt-get install it without knowing that
    the packages are split that way. closes: #308711
  * Bump to Standards-Version 3.6.2, no changes required.
  * "Hijack" the package; comaintainers have been AWOL for a very long time.
  * Mention nethack-lisp and nethack-el in nethack-common's Description.
  * Patch work:
    - 95_enh_engulf_prayers: successful prayer while engulfed gets you out.
      closes: #153736
    - 20_gcc4_fix: GCC 4.x build fix by Andreas Jochens. closes: #297626
  * Fix some bashisms reported by lintian.

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 11 Aug 2005 15:11:19 -0700

nethack (3.4.3-7) unstable; urgency=low

  * Remove the nonfunctional watch file. Sigh.
  * Add Czech translation of Debconf templates, thanks to Jan Outrata.
    closes: #261795
  * Make sure recover-helper runs in /bin/sh, or things might go wrong.
    closes: #293291
  * Patch work:
    - 08_linux_specifics: Update from Robert Millan to fix FTBFS on
      kfreebsd-gnu. closes: #290342

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 17 Feb 2005 15:35:14 -0800

nethack (3.4.3-6) unstable; urgency=low

  * Patch work:
    - all ENH patches: record source, authors, URL
    - 94_enh_sortloot (new): add the sortloot patch. Not enabled by
      default.
  * Add a README.patches to note which patches are in Debian's Nethack
    package.
  * Correct date of old changelog entry - the upload really happened much
    later than the entry.
  * Add a watch file to benefit the DEHS project.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 26 Jul 2004 20:15:57 -0700

nethack (3.4.3-5) unstable; urgency=low

  * Add Catalan translation (Closes: #248734)
  * Patch work:
    - 91_enh_menucolors: Fix Pasi Kallinen's email address. pk -> pkalli
    - 19_gnome_ext_events (new): Fix a problem in Gnomehack where mouse click
      events in the extended menu would not be handled (thus a certain
      choice might be chosen, but a different one 'picked' by the code).
      (Closes: #246265)

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 23 Jun 2004 11:32:05 -0700

nethack (3.4.3-4) unstable; urgency=low

  * Fix a call to 'su' in the init script that chokes zsh.
  * Remove some old documentation relics (3.4.1 -> 3.4.3).
  * Add NetHack.ad to nethack-x11's examples.
  * nethack dummy package now depends on nethack-x11 | nethack-console |
    nethack-gnome | nethack-lisp | nethack-qt. (Closes: #227192, #227405)
  * Fix xlibs-dev dependency.
  * 93_enh_dump.dpatch: Add the 'dump' patch that saves a log of interesting
    data about your player when he/she ascends, dies, or escapes. Default
    location will be in /var/games/nethack/dumps/${player}.lastgame.txt.
  * Change debhelper dependency to debhelper (>= 4.1.16) as per
    po-debconf(7).
  * Change build-dependency on groff to just groff-base.
  * Fix unquoted strings in .menu files, thanks lintian
  * Change maintainer line to nethack-maint@triplehelix.org, pending the
    resurrection of Alioth's lists.

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 13 Mar 2004 16:22:15 -0800

nethack (3.4.3-3) unstable; urgency=medium

  * Sigh, lost the nethack (arch all) package last upload. This should
    fix all the testing-related breakage.
  * Joshua Kwan <joshk@triplehelix.org>:
    - More build system cleanups.
    - Remove x11/Makefile.src, missed last time.
    - Remove old warnings and caveats in README.Debian that are obsoleted
      with 18_overridewin.dpatch. (i.e., stick windowtype:tty into your
      $NETHACKOPTIONS if you intend to set it)
    - Applied a really great debian/rules simplification from
      Aaron Lehmann <aaronl@vitelus.com>
    - 13_simple_mail.dpatch: allow our nethack patches to function
      with dgamelaunch (not in the Debian archive -- yet). Does not
      affect gameplay.
    - Delete nh10.pcf.*, somehow during one build nh10.pcf.gz snuck in.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 29 Dec 2003 11:16:22 -0800

nethack (3.4.3-2) unstable; urgency=medium

  * Joshua Kwan <joshk@triplehelix.org>:
    - Fix busted PIXMAPDIR that broke nethack-qt and nethack-gnome.
      Was actually in CVS but not applied to the uploaded source.
    - Lose t32-1024.xpm because it belongs to jnethack and doesn't work
      with gnomehack.
    - Clean up the build system by removing redundant Makefile.src's.
      + 05_build_cflags.dpatch replaced by 05_makefile_logic.dpatch;
        thanks Aaron Lehmann <aaronl@vitelus.com>

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 21 Dec 2003 18:27:07 -0800

nethack (3.4.3-1) unstable; urgency=low

  * New upstream release.
    - Merged patches: 03_char_signedness.dpatch, 07_explore_mode_save.dpatch,
      13_qt_warning_fixes.dpatch.
    - Manually rediffed: 14_common_config.dpatch
    - Fixed bugs:
      + xnethack segfaults if you close the class selection window
        (closes: #71234)
      + Bustling Town level generation may cause weird store 'entering'
        announcements and inaccessible stairs (closes: #216386)
  * Joshua Kwan <joshk@triplehelix.org>:
    - Use perror() and change some wording in recover.c to make error
      messages useful. (Closes: #72582)
    - Set 'ignintr' in the GNOME default nethackrc to work around GNOME
      library bug #216454. Will not close until the bug is resolved in a
      non-hackish way.
    - As per discussion on debian-devel, turn off number_pad by default
      so as not to deviate from upstream.
    - 16_pixmapdir.dpatch: move all pixmaps into /usr/share/pixmaps/nethack/
      and make all graphical nethacks work with this
    - Keep logfile, record, and perm when backing up old save games,
      because they are backwards-compatible with older versions.
      (Closes: #141843)
    - Remove the redundant 'Drop Many' entry from the GNOME Action menu.
      (Closes: #154750)
    - Use dpkg-statoverride(1) for storing recover setgid information if
      enabled.
    - Add French Debconf template translation by Nicolas Bertolissio
      <nico.bertol@free.fr>. (Closes: #218729)
    - Document QT_FONTSIZE, QT_TILEWIDTH, QT_TILEHEIGHT in Qt nethackrc
      (Closes: #141245)
    - Remove the old /etc/init.d/nethack and its symlinks with a manual
      call to update-rc.d on postinst, due to a sneaky name change that
      crept in during 3.4.2 package work. (Closes: #223496)
    - Fix a few warnings in patches.
    - Make sure nethack-common and all the FE packages always have the
      same version using ${Source-Version} dependencies both ways.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 15 Dec 2003 21:49:50 -0800

nethack (3.4.2-2) unstable; urgency=low

  * Acknowledge a NMU we missed last time from Daniel Jacobwitz
    <dan@debian.org>, thanks! (Closes: #147166)
  * Ben Gertzfield <che@debian.org>:
    - Add symlink from /usr/lib/games/nethack/license to
      /usr/share/doc/nethack-common/copyright. (Closes: #215673)
    - Really include upstream source URL for LISP window system in
      copyright file.
    - Really include LISP windowing system patch from 0.9.2 upstream.
      (Closes: #215899)
    - Add 07_explore_mode_save.dpatch to use correct temporary
      buffer in sys/unix/unixmain.c when munging save file in
      explore mode. (Closes: #203229)
  * Joshua Kwan <joshk@triplehelix.org>:
    - Add 92_enh_paranoid_hit.dpatch to force user to say 'yes' when
      asked to hit a peaceful monster; disabled by default, in-game
      option. (Closes: #62361)

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 15 Oct 2003 09:03:15 -0700

nethack (3.4.2-1) unstable; urgency=low

  * NetHack is now comaintained by Ben Gertzfield and Joshua Kwan.
  * New upstream version (closes: #208817)
    - You can no longer eat while sleeping, possibly fixed in this version,
      which closes: #184855
  * Acknowledge NMUs/patches, thanks all around to:
      - Mario Lang <mlang@debian.org> (Closes: #186609, #187167)
      - Brian Nelson <pyro@debian.org> (Closes: #184173, #180215)
  * Ben Gertzfield <che@debian.org>:
    - Merge LISP window system patch into dpatch patches.
    - Merge LISP window system copyright into main copyright file.
    - Add upstream source URL for LISP window system to copyright file.
    - Update 12_lisp_windowing.dpatch to upstream nethack_el-0.9.2.tar.gz.
    - Add Joshua Kwan to uploaders list for co-maintainership.
  * Joshua Kwan <joshk@triplehelix.org>:
    - Fix FTBFS caused by 'Invisible' being a youprop.h #define
      and used in a QListViewIterator enumerated type. (Closes: #213874)
    - Fix char signedness issue in gnbind.c (Closes: #170531)
    - Build nethack dummy package in binary-indep target. (Closes: #186619)
    - Steal t32-1024.xpm from jnethack - it's missing from NetHack upstream.
      This allows nethack-gnome to use the larger tileset. (Closes: #140398)
    - Now using dh_installinit; use defaults, so we don't go to
      /etc/rcS.d and start before NIS. (Closes: #164132)
    - No clue how this is meant to help, but it doesn't break anything,
      so let's wrap all our menu stuff in sh -c '' and see what happens.
      (Closes: #168385, #168386, #152232)
    - Allow the administrator to decide whether recover should be setgid
      games. (Closes: #148983)
    - Add a menu item to GNOME menu for readying/quivering. (Closes: #154627)
    - Also fix many qt_win.{cpp,h} warnings.
    - Bump Standards-Version to 3.6.1.0:
      o Use our own CFLAGS, this allows us to use DEB_BUILD_OPTIONS=noopt
      o Use /var/mail instead of /var/spool/mail (although both worked as
        the two are still symlinked to each other)
      o Question about old savegame backup becomes a debconf question,
        and moved meat of the logic into postinst
    - Use debian/compat instead of DH_COMPAT, bump it to V4.
    - Use 'ln -sf' and 'gzip -f' so that multiple calls of binary-arch
      work without cleaning.
    - Fixed upstream URL to one that works
    - Fix clean target so that pristine config.h is restored upon clean
    - Removed redundant call to update-rc.d.
    - Compress the nethack-common changelog.Debian.
    - Migrate source modifications to dpatch patches and build-depend on
      dpatch.
    - Consolidate massive amounts of nearly duplicate config.hs into one
      common configuration patch for include/config.h and add additional
      -Ds to CFLAGS for each build.
    - Add some enhancement patches (Save/bones are NOT affected):
        + 90_enh_hpmon.dpatch: HP monitor which visually alerts you when
          HP goes below 2/3, 1/3, and 1/10 of total.
        + 91_enh_menucolors.dpatch: Enables you to specify regular
          expressions to highlight in your inventory (for example,
          cursed/uncursed/blessed items.)

 -- Ben Gertzfield <che@debian.org>  Mon, 13 Oct 2003 17:22:01 -0700

nethack (3.4.1-1.2) unstable; urgency=low

  * NMU
  * Apply patch to build nethack-lisp (required for nethack-el)
    (Closes: Bug#186609)

 -- Mario Lang <mlang@debian.org>  Tue,  1 Apr 2003 11:08:26 +0200

nethack (3.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build-dependencies so that package is buildable on unstable.
    (Closes: #184173)
  * Build against multi-threaded Qt3. (Closes: #180215)
  * Include qmemarray.h instead of obsolete qarray.h so that a dependency
    on libqt3-compat-headers is not needed.

 -- Brian Nelson <pyro@debian.org>  Fri, 14 Mar 2003 22:25:03 -0800

nethack (3.4.1-1) unstable; urgency=low

  * New upstream version. (Closes: #182742)
  * Upstream included patch to build Nethack on ia64. (Closes: #142079)
  * Boulder -> Landmine segfault fixed upstream. (Closes: #144779)
  * Change Build-Depends to depend on libxaw7-dev | libxaw-dev.
    (Closes: #169995)
  * Top ten list buffer overflow fixed upstream. (Closes: #181854)
  * Mention .nethackrc.gnome, .nethackrc.x11, and .nethackrc.qt files
    (custom to Debian) in nethack manpage. (Closes: #153738)
  * Okay, okay, I made a nethack-console package that has no
    dependancies on any X11 libs or other big packages.
    (Closes: #140303, #142018)
  * Move dependancy on xbase-clients to nethack-x11.  It's the only
    one that needs font making.
  * Note: We define __USE_GNU in sys/unixres.c; looks like the
    constant RTLD_NEXT is only defined if __USE_GNU is defined.
  * Use Guidebook.txt for docs.  For some reason, plain 'Guidebook'
    is full of garbage now after 'make Guidebook'.
    (Closes: #173127, #177252)

 -- Ben Gertzfield <che@debian.org>  Sat,  1 Mar 2003 17:03:11 -0800

nethack (3.4.0-4) unstable; urgency=high

  * Install recover and recover-helper mode 644, not 664. (Closes: #167542)

 -- Ben Gertzfield <che@debian.org>  Sun,  3 Nov 2002 22:45:27 -0800

nethack (3.4.0-3.1) unstable; urgency=high

  * NMU by the security team.
  * Import security fixes from the slashem package (Closes: #147166).

 -- Daniel Jacobowitz <dan@debian.org>  Sat,  6 Jul 2002 17:01:05 -0400

nethack (3.4.0-3) unstable; urgency=low

  * Change DEFAULT_WINDOW_SYS to "tty" unconditionally for all
    GUI frontends.  This fixes the case where a user sets
    NETHACKOPTIONS to customize just the dog/cat name or what have you,
    but doesn't set a windowtype:tty flag.  Then, the /usr/bin/nethack
    script will not touch NETHACKOPTIONS, and it will give a strange
    error when it starts up the Qt/Gnome version if X is unavailable.
    (Closes: #142055)
  * Patch unixconf.h to use /usr/bin/mail instead of /bin/mail.
    (Closes: #142000)
  * Fix nethackrc.qt -> .nethackrc.qt typo in README.Debian.
    (Closes: #141244)
  * Not defining SCORE_ON_BOTL for the time being -- it introduces
    a save-game file incompatibility, so I will do that for the next
    upstream release.

 -- Ben Gertzfield <che@debian.org>  Wed, 10 Apr 2002 12:31:21 +0900

nethack (3.4.0-2) unstable; urgency=MEDIUM

  * Fix recover to use VAR_PLAYGROUND, not HACKDIR. (Closes: #140701)
  * Fix menu entries.  Now nethack-common has the /usr/games/nethack
    entry (assumed to be text; if the user overrides it, they can
    override the menu entry too), nethack-x11 has /usr/games/xnethack,
    etc. etc. (Closes: #140704)
  * Fix a security bug in recover; other users could "recover"
    save games belonging to users besides themselves.  However,
    they could not load the generated save file unless they could
    also change their UID, as the save file name is always ###playername,
    where ### is the UID allowed to open saved game.
  * Now, recover will only "recover" crash files belonging to the
    same user (or any user, if run by root).  Also, it chowns the
    resultant save file to the original owner of the crash files.
    (Closes: #104247)
  * Add hints "Roguelike,Maze,Dungeon" to menu entries Just For Fun.

 -- Ben Gertzfield <che@debian.org>  Tue,  2 Apr 2002 23:10:06 +0900

nethack (3.4.0-1) unstable; urgency=low

  * New upstream version.
  * Split into nethack-common, nethack-x11, nethack-gnome, nethack-qt
    packages. (See README.Debian for details.)
    (Closes: #88129, #43764, #78046, #53356, #58528)
  * nethack package is now a dummy package that depends on nethack-common
    and nethack-x11 for backwards compatibility.
  * /usr/games/nethack now managed by update-alternatives; can be
    set to either tty or graphical version.
  * Save files changed format again; prompt to back up and wipe
    /var/games/nethack and/or /var/lib/games/nethack on upgrade.
  * Use dh_installman instead of dh_installmanpages.
  * Use dh_installxfonts to register X fonts, etc.
  * Install dlb utility in /usr/lib/games/nethack. (Closes: #129741)
  * Make sure NetHack.tile_file is not commented out in app-defaults
    file. (Closes: #119673)
  * config files moved to /etc/nethack/nethackrc.* for various
    windowing types.  Config files in ~/.nethackrc.* now supported
    per-windowing type.  (HACKOPTIONS still overrides them, though.)
  * Fixed numpad issue many moons ago in xterm: (Closes: #52744)
  * Unable to reproduce old ?a ?b bug in xnethack. (Closes: #86959)
  * (Oops, typo when fixed manpage in last version.) (Closes: #111097)
  * desparate -> desperate in package description (Closes: #125180)
  * Using --prefix for tempfile now. (Closes: #54586)
  * Shipping with NetHack*autofocus: False in X11 application-defaults
    file to work around odd Xaw bugs that pop up now and again; the
    patch supplied in #94298 no longer applies to 3.4.0, but the
    crashes still show up with NetHack*autofocus: True once in
    a while.

 -- Ben Gertzfield <che@debian.org>  Sat, 23 Mar 2002 21:57:18 +0900

nethack (3.3.1-7) unstable; urgency=low

  * Sorry for being out of touch for a while. I'm back in business
    now that I'm settled down in Tokyo, and have my own desktop computer
    again.
  * Work-around for Xt-related segfaults. May be fixed upstream in
    next release. (Closes: #94298)
  * Use upstream NetHack application-defaults file, and merge in changes
    from upstream nethack.rc for X11 with our customized Debian one.
    (Closes: #95533)
  * Check for existence of old /var/lib/games/nethack dir before
    warning about its possible existence (covers when a user installs
    a pre 3.3.1-5 nethack, purges it, then installs a newer one).
    (Closes: #95536)
  * Fix manpage to refer to /usr/bin/mail and
    /usr/lib/games/nethack. (Closes: #111096)

 -- Ben Gertzfield <che@debian.org>  Sat, 22 Sep 2001 20:13:10 +0900

nethack (3.3.1-6) unstable; urgency=MEDIUM

  * Whoops.  Forgot to copy over the old save/high score files
    from /var/lib/games/nethack -> /var/games/nethack.
    Do so carefully, then remove the old directory. (Closes: #92501)
  * postrm/preinst still had old dir in there. Oops.
    So did /etc/init.d/nethack..  I'm very embarassed. Fixed.
  * The preinst does still look in /var/lib/games/nethack for
    pre-3.3.1 versions to archive them.

 -- Ben Gertzfield <che@debian.org>  Thu, 12 Apr 2001 20:01:04 -0700

nethack (3.3.1-5) unstable; urgency=low

  * Fix FHS bug (/var/lib/games -> /var/games). (Closes: #92501)
  * Just a note, I'm not working on building gnomehack as of yet,
    because with GTK+ 1.2.9 and later, it's quite useless, since
    nethack has to run set-GID and GTK+ >= 1.2.9 forbids this
    (with good reason.)
  * A lot of bugs were reassigned from gnomehack to nethack that
    are not nethack bugs.
    - Nethack is in .orig.tar.gz+.diff.gz format. (Closes: #62976)
    - No alsa deps for nethack. (Closes: #56738)
    - The stairs bug mentioned is unreproducable in stock Nethack.
      (Closes: #72202)
    - Menu entry for creating new game bug?  Seems gnome-specific.
      (Closes: #79771)
    - Options dialog bug is gnomehack-specific. (Closes: #64944)
    - Gnomehack used a different recovery script that was broken.
      Not applicable to nethack. (Closes: #69080, #71193)

 -- Ben Gertzfield <che@debian.org>  Wed, 11 Apr 2001 18:45:00 -0700

nethack (3.3.1-4) unstable; urgency=medium

  * Add Build-Deps on libxaw-dev and bsdmainutils. (Closes: #89565)
    Thanks to neuro and BenC for pointing these out.

 -- Ben Gertzfield <che@debian.org>  Tue, 13 Mar 2001 20:05:13 -0800

nethack (3.3.1-3) unstable; urgency=low

  * Buh.  Stupid typo in /etc/init.d/nethack; doesn't actually run.
    Fixed.  Also implemented stop|reload|restart|force-reload (which
    do nothing, as this is a rcS.d-only script) for policy reasons.
  * Lintian fix: make symlink for license file relative.
  * Lintian fix: don't use menu icon "none".

 -- Ben Gertzfield <che@debian.org>  Mon, 12 Mar 2001 23:53:45 -0800

nethack (3.3.1-2) unstable; urgency=low

  * Bug hunting release: add Build-Depends (Closes: #84643)
  * Change init.d/nethack to not exit on failure, and be ash-compliant
    (Closes: #75972)
  * Move app-defaults to new /etc/X11 location and make it a
    conffile. (Closes: #86281)
  * Patch from Ian Jackson to make recover look in the right place.
    (Closes: #72584)
  * Fixed LOGDIR typo long ago. (Closes: #65486)
  * Remove call to dh_suidregister and add Conflicts: suidmanager (<< 0.50)
  * Change calls to /usr/X11R6/bin/ utilities to /usr/bin/X11/.
  * Add Depends: on xutils, as we call mkfontdir in postinst/postrm.

 -- Ben Gertzfield <che@debian.org>  Mon, 12 Mar 2001 21:14:57 -0800

nethack (3.3.1-1) unstable; urgency=low

  * New upstream version. (Huzzah!)
  * Wow. I don't have to build with special patches any more; just
    about *everything* was accepted upstream. Go DevTeam! You guys
    rule. :) (One thing I noticed wasn't patched upstream was
    disabling IBMgraphics on the Rogue level. If people still notice
    problems, let me know; the historic problems with IBMgraphics
    on the rogue level may have been fixed.

 -- Ben Gertzfield <che@debian.org>  Fri, 11 Aug 2000 16:52:27 -0700

nethack (3.3.0-9) unstable; urgency=low

  * Fix LOGDIR typo that could cause segfaults. (Eek!) Closes: #65486

 -- Ben Gertzfield <che@debian.org>  Sun, 11 Jun 2000 23:03:35 -0700

nethack (3.3.0-8) frozen unstable; urgency=low

  * Fix preinst to not print all messages on one line. (Ick. :)

 -- Ben Gertzfield <che@debian.org>  Mon, 31 Jan 2000 13:27:37 -0800

nethack (3.3.0-7) unstable; urgency=low

  * Patch to fix bones-file handling in /var/lib/games/nethack.
    (The bones-file functions were changed from 3.2.2 and so
    broke my older patch.) Closes: #54961

 -- Ben Gertzfield <che@debian.org>  Wed, 12 Jan 2000 21:50:01 -0800

nethack (3.3.0-6) unstable; urgency=low

  * Change /usr/games/nethack script to remove stupid 'max number of
    Nethack players at once' hack.
  * Change /etc/init.d/nethack to work on *any* lock files in
    /var/lib/games/nethack (use *.0 instead of *lock.0)
  * Patch to fix nasty bugs introduced by separating lock/savefiles
    into /var/lib/games/nethack. (Forgot some /s to a few sprintfs,
    ouch!)
  * Patch to fix recover to work with separate /var/lib/games/nethack
    once again. Closes: #52995
  * Change default cat/dog/fruit names when using xnethack to be
    more.. Debian-y. :)

 -- Ben Gertzfield <che@debian.org>  Wed,  5 Jan 2000 16:32:53 -0800

nethack (3.3.0-5) unstable; urgency=low

  * Make root the user able to enter wizard (debug) mode with 'nethack -D'
    instead of user 'wizard', the old default. Closes: #53901
  * Add link from /usr/lib/games/nethack/license ->
    /usr/share/doc/nethack/copyright so ?i works in game. Closes: #53979
  * Make sure we pass arguments to nethack when run from xnethack
    script. Fixes: #54104

 -- Ben Gertzfield <che@debian.org>  Wed,  5 Jan 2000 10:23:32 -0800

nethack (3.3.0-4) unstable; urgency=low

  * Add color patch to fix swap of red and blue colors.
  * Port Linux console IBMgraphics patch from 3.2.2.
  * Remove all use of --suffix argument to tempfile, to make
    building slink packages easier. Closes: #52968

 -- Ben Gertzfield <che@debian.org>  Fri, 17 Dec 1999 15:26:05 -0800

nethack (3.3.0-3) unstable; urgency=low

  * Fix missing 'esac' at end of /etc/init.d/nethack. Closes: #52738

 -- Ben Gertzfield <che@debian.org>  Tue, 14 Dec 1999 15:35:32 -0800

nethack (3.3.0-2) unstable; urgency=low

  * Note split of spoilers in README.Debian. Closes: #52628
  * Improve logic in preinst for various combinations of 'install' and
    'upgrade' arguments.
  * Test for existence of /var/lib/games/nethack before trying to archive
    it in preinst. Closes: #52666
  * (Yes, 3.3.0 fixes the Y2K bugs in Nethack! Sorry for not mentioning
     this below.)

 -- Ben Gertzfield <che@debian.org>  Mon, 13 Dec 1999 22:15:10 -0800

nethack (3.3.0-1) unstable; urgency=low

  * Finally! A new upstream version! Fixes: #52565
  * No more bashisms in postinst. Fixes: #36006
  * Use /etc/init.d/nethack and a link /etc/rcS.d/nethack instead
    of /etc/rc.boot/nethack. Fixes: #32441
  * Spoilers split off into separate nethack-spoilers package. (Note:
    spoilers may be out of date now for 3.3.0!)
  * NOTE NOTE NOTE: Save files from 3.2.2 are *NOT COMPATIBLE* with
    3.3.0 so the preinst will prompt the user and archive the old
    save directory, or abort.
  * Now depends on debianutils (>= 1.13) because we use 'tempfile'
    program in the preinst to get a safe filename for archiving
    into for the above NOTE NOTE NOTE. This sucks, though, because
    slink's debianutils is 1.10, but it doesn't support the
    --suffix we need to make a tempfile with .tar.gz as the extension.

 -- Ben Gertzfield <che@debian.org>  Sun, 12 Dec 1999 14:22:23 -0800

nethack (3.2.2-16) unstable; urgency=low

  * Use Richard Braakman's wonderful patch to fix color support in
    Nethack with ncurses 4.2. (Fixes: #27817)
  * Use Hartmut Koptein's patch for glibc 2.1 prototypes checking.
    (Fixes: #32012)

 -- Ben Gertzfield <che@debian.org>  Thu, 21 Jan 1999 07:00:41 -0800

nethack (3.2.2-15) frozen unstable; urgency=low

  * Recompile with ncurses 4.2.

 -- Ben Gertzfield <che@debian.org>  Fri, 30 Oct 1998 12:38:12 -0800

nethack (3.2.2-14) unstable; urgency=low

  * Add test in preinst to make sure we don't check $2 on anything
    but an upgrade, as dpkg can call the preinst with no $2 if
    we're doing a fresh install, and that'll make my test to see
    what version we're upgrading from crash. (Fixes: #27101)

 -- Ben Gertzfield <che@debian.org>  Sat, 26 Sep 1998 10:57:36 -0700

nethack (3.2.2-13) unstable; urgency=low

  * Applied David Damerell's paranoid_quit and big top 10 patches.
    (Fixes: #26609)

 -- Ben Gertzfield <che@debian.org>  Mon, 21 Sep 1998 19:30:22 -0700

nethack (3.2.2-12) unstable; urgency=low

  * Made postinst really anal on checks for upgrades from old versions,
    to make all permissions correct. (Fixes: #25881, #19588)
  * Converted debian/rules to debhelper. (Fixes: #14492)
  * /var/lib/games/nethack/{record,logfile,perm} are no longer conffiles,
    and the management of them has moved to the postinst/postrm scripts.
  * Enabled tiles by default when running with X enhancements.
  * Created xnethack script to run the X-based nethack.
  * Disabled the mail daemon mail-check in X-based nethack, as it
    could cause nethack to freeze if run from the menu entry (as
    opposed to from within an xterm).

 -- Ben Gertzfield <che@debian.org>  Tue, 18 Aug 1998 17:10:16 -0700

nethack (3.2.2-11) unstable; urgency=low

  * Hamm release of 3.2.2-10.

 -- Ben Gertzfield <che@debian.org>  Tue, 28 Oct 1997 17:38:11 -0800

nethack (3.2.2-10) stable; urgency=low

  * Re-built with libc5 libraries, as 3.2.2-7 was broken.
  * Fixed text menu entry pausing bug.
  * Took out dpkg-shlibdeps call for the lib5 build.
  * Changed chmod /var/lib/games/nethack 04775 in postinst to 02775.

 -- Ben Gertzfield <che@debian.org>  Tue, 28 Oct 1997 12:53:37 -0800

nethack (3.2.2-9) unstable; urgency=low

  * Re-added fix for permissions on /var/lib/games/nethack to postinst;
    fixes bug #13596.
  * Added X NetHack entry to menu file, fixes wishlist #13036.
  * Menu entry for text NetHack now pauses after the game ends, fixes
    bug #13035.
  * Built with all-glibc libraries, fixes bug #12793.
  * Copied 'license' text-file to /usr/lib/games/nethack, fixes bug #13033.
  * Upgraded to Standards-Version 2.3.0.0.

 -- Ben Gertzfield <che@debian.org>  Fri, 10 Oct 1997 16:17:46 -0700

nethack (3.2.2-8) unstable; urgency=low

  * New maintainer.
  * Compiled under libc6.
  * Added patch for proper IBM graphics support.
  * Added patch for sound (speaker) support at the console.
  * No longer writes to /usr/lib/games/nethack; fixes bug #10454.
  * No longer uses i386-specific commands in makefile; fixes bug #10795.
  * Re-added dgn_comp and lev_comp to package; fixes bug #11013.
  * Created /etc/rc.boot/nethack to recover save-files on boot;
    fixes bug #11012.
  * Changed rules file to no longer use debstd.
  * Made the recover utility setgid and removed the -d option to
    prevent cheating.
  * Really fixed bug #10149 -- both logfile and record are now
    conffiles.
  * If upgrading from a version with incompatible logfile/record files,
    warns before clearing out /var/lib/games/nethack.

 -- Ben Gertzfield <che@debian.org>  Wed, 23 Jul 1997 20:33:26 -0500

nethack (3.2.2-7) frozen unstable; urgency=low

  * changes to makefile to force compiling under libc5
  * fixed bug #10149: upgrading no longer kills the high score file
  * fixed bug #9839: now provides nh10 font

 -- Paul Haggart <phaggart@debian.org>  Mon, 26 May 1997 22:34:36 -0400

nethack (3.2.2-6) frozen unstable; urgency=low

  * routine cleanup of makefiles
  * fixed debian/rules to actually clean up on 'debian/rules clean'
  * fixed bug #9288: debian/rules doesn't delete manpages until after build
  * fixed bug #9287: X11 support added

 -- Paul Haggart <phaggart@debian.org>  Thu, 1 May 1997 19:32:57 -0400

nethack (3.2.2-5) frozen unstable; urgency=low

  * postinst tweak to allow saved games to actually save

 -- Paul Haggart <phaggart@debian.org>  Wed, 23 Apr 1997 22:55:20 -0400

nethack (3.2.2-4) frozen unstable; urgency=low

  * added postinst to fix bad permissions/owners on upgrades
  * fixed termcap/terminfo bug

 -- Paul Haggart <phaggart@debian.org>  Tue, 8 Apr 1997 22:35:44 -0400

nethack (3.2.2-3) unstable; urgency=high

  * fixed -massive- error with lockfiles
  * fixed gzip error with saved games
  * now includes 'recovery' so you can try to restore a crashed game

 -- Paul Haggart <phaggart@debian.org>  Sat, 15 Feb 1997 18:43:48 -0500

nethack (3.2.2-2) unstable; urgency=low

  * changed email address from 'debian.com' to 'debian.org'

 -- Paul Haggart <phaggart@debian.org>  Wed, 12 Feb 1997 15:55:33 -0500

nethack (3.2.2-1) unstable; urgency=low

  * new upstream source (sorry this took so long to get done!)
  * wizard patch removed .. it wouldn't patch into 3.2.2

 -- Paul Haggart <phaggart@debian.com>  Mon, 10 Feb 1997 22:08:09 -0500

nethack (3.2.1-4) unstable; urgency=low

  * removed qt interface because of policy complaints

 -- Paul Haggart <phaggart@cybertap.com>  Mon, 2 Dec 1996 15:08:15 -0500

nethack (3.2.1-3) unstable; urgency=low

  * added wizard patch

 -- Paul Haggart <phaggart@cybertap.com>  Mon, 18 Nov 1996 19:12:24 -0500

nethack (3.2.1-2) unstable; urgency=low

  * added qt interface
  * added spoiler files

 -- Paul Haggart <phaggart@cybertap.com>  Sat, 16 Nov 1996 02:22:05 -0500

nethack (3.2.1-1) unstable; urgency=low

  * New maintainer
  * Initial release

 -- Paul Haggart <phaggart@cybertap.com>  Sun, 27 Oct 1996 05:56:48 -0500
